/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2012 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Classpath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkScrolledWindow.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1new
(
	JNIEnv* env,
	jclass cls,
	jlong _hadjustment,
	jlong _vadjustment
)
{
	GtkWidget* result;
	jlong _result;
	GtkAdjustment* hadjustment;
	GtkAdjustment* vadjustment;

	// convert parameter hadjustment
	hadjustment = (GtkAdjustment*) _hadjustment;

	// convert parameter vadjustment
	vadjustment = (GtkAdjustment*) _vadjustment;

	// call function
	result = gtk_scrolled_window_new(hadjustment, vadjustment);

	// cleanup parameter hadjustment

	// cleanup parameter vadjustment

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1set_1hadjustment
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _hadjustment
)
{
	GtkScrolledWindow* self;
	GtkAdjustment* hadjustment;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter hadjustment
	hadjustment = (GtkAdjustment*) _hadjustment;

	// call function
	gtk_scrolled_window_set_hadjustment(self, hadjustment);

	// cleanup parameter self

	// cleanup parameter hadjustment
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1set_1vadjustment
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _hadjustment
)
{
	GtkScrolledWindow* self;
	GtkAdjustment* hadjustment;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter hadjustment
	hadjustment = (GtkAdjustment*) _hadjustment;

	// call function
	gtk_scrolled_window_set_vadjustment(self, hadjustment);

	// cleanup parameter self

	// cleanup parameter hadjustment
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1hadjustment
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkAdjustment* result;
	jlong _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_hadjustment(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1vadjustment
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkAdjustment* result;
	jlong _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_vadjustment(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1hscrollbar
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkWidget* result;
	jlong _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_hscrollbar(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1vscrollbar
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkWidget* result;
	jlong _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_vscrollbar(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1set_1policy
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _hscrollbarPolicy,
	jint _vscrollbarPolicy
)
{
	GtkScrolledWindow* self;
	GtkPolicyType hscrollbarPolicy;
	GtkPolicyType vscrollbarPolicy;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter hscrollbarPolicy
	hscrollbarPolicy = (GtkPolicyType) _hscrollbarPolicy;

	// convert parameter vscrollbarPolicy
	vscrollbarPolicy = (GtkPolicyType) _vscrollbarPolicy;

	// call function
	gtk_scrolled_window_set_policy(self, hscrollbarPolicy, vscrollbarPolicy);

	// cleanup parameter self

	// cleanup parameter hscrollbarPolicy

	// cleanup parameter vscrollbarPolicy
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1policy
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jintArray _hscrollbarPolicy,
	jintArray _vscrollbarPolicy
)
{
	GtkScrolledWindow* self;
	GtkPolicyType* hscrollbarPolicy;
	GtkPolicyType* vscrollbarPolicy;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter hscrollbarPolicy
	hscrollbarPolicy = (GtkPolicyType*) (*env)->GetIntArrayElements(env, _hscrollbarPolicy, NULL);
	if (hscrollbarPolicy == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter vscrollbarPolicy
	vscrollbarPolicy = (GtkPolicyType*) (*env)->GetIntArrayElements(env, _vscrollbarPolicy, NULL);
	if (vscrollbarPolicy == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gtk_scrolled_window_get_policy(self, hscrollbarPolicy, vscrollbarPolicy);

	// cleanup parameter self

	// cleanup parameter hscrollbarPolicy
	(*env)->ReleaseIntArrayElements(env, _hscrollbarPolicy, (jint*)hscrollbarPolicy, 0);

	// cleanup parameter vscrollbarPolicy
	(*env)->ReleaseIntArrayElements(env, _vscrollbarPolicy, (jint*)vscrollbarPolicy, 0);
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1set_1placement
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _windowPlacement
)
{
	GtkScrolledWindow* self;
	GtkCornerType windowPlacement;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter windowPlacement
	windowPlacement = (GtkCornerType) _windowPlacement;

	// call function
	gtk_scrolled_window_set_placement(self, windowPlacement);

	// cleanup parameter self

	// cleanup parameter windowPlacement
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1placement
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkCornerType result;
	jint _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_placement(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1set_1shadow_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _type
)
{
	GtkScrolledWindow* self;
	GtkShadowType type;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter type
	type = (GtkShadowType) _type;

	// call function
	gtk_scrolled_window_set_shadow_type(self, type);

	// cleanup parameter self

	// cleanup parameter type
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1get_1shadow_1type
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkShadowType result;
	jint _result;
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	result = gtk_scrolled_window_get_shadow_type(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1add_1with_1viewport
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _child
)
{
	GtkScrolledWindow* self;
	GtkWidget* child;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// convert parameter child
	child = (GtkWidget*) _child;

	// call function
	gtk_scrolled_window_add_with_viewport(self, child);

	// cleanup parameter self

	// cleanup parameter child
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkScrolledWindow_gtk_1scrolled_1window_1unset_1placement
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkScrolledWindow* self;

	// convert parameter self
	self = (GtkScrolledWindow*) _self;

	// call function
	gtk_scrolled_window_unset_placement(self);

	// cleanup parameter self
}
